Search documentation of stripe_elixir

# StripeElixir.Services.ApplePayDomainService (stripe_elixir v0.1.0)

Copy Markdown View Source

ApplePayDomain

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create an apple pay domain.

delete(client, domain, params \\ %{}, opts \\ [])

Delete an apple pay domain.

list(client, params \\ %{}, opts \\ [])

List apple pay domains.

retrieve(client, domain, params \\ %{}, opts \\ [])

Retrieve an apple pay domain.

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Create an apple pay domain.

# delete(client, domain, params \\ %{}, opts \\ [])

    @spec delete(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Delete an apple pay domain.

# list(client, params \\ %{}, opts \\ [])

    @spec list(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List apple pay domains.

# retrieve(client, domain, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve an apple pay domain.